"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withMessages = exports.configureWithIntl = void 0;
var _reactIntl = require("react-intl");
var _jsxRuntime = require("react/jsx-runtime");
const withMessages = (messages, locale = 'en', defaultLocale = 'en') => node => /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactIntl.IntlProvider, {
  messages: messages,
  locale: locale,
  defaultLocale: defaultLocale,
  children: node
});
exports.withMessages = withMessages;
const configureWithIntl = (translations, defaultLocale = 'en') => {
  if (typeof translations === 'function') return (locale = defaultLocale) => withMessages(translations(locale), locale, defaultLocale);
  if (typeof translations === 'object') return (locale = defaultLocale) => withMessages(translations[locale], locale, defaultLocale);
  throw new TypeError('Passed argument "translations" must be either' + ' an object mapping locales to messages' + ' or a function returning messages for a given local.');
};
exports.configureWithIntl = configureWithIntl;